{
  "name": "projet-co-creation-api",
  "version": "1.0.0",
  "description": "API for projet co-creation",
  "main": "dist/server.js",
  "scripts": {
    "dev": "cross-env NODE_ENV=development nodemon src/server.ts",
    "build": "npm run clean && npm run lint && npm run tsc",
    "tsc": "tsc",
    "clean": "rimraf dist/*",
    "lint": "eslint . --ext .ts",
    "lint-fix": "eslint . --fix",
    "test": "jest --config ./jest.config.json --coverage",
    "precommit": "npm run lint",
    "prepare": "husky install"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@babel/cli": "^7.23.4",
    "@babel/core": "^7.23.7",
    "@babel/node": "^7.22.19",
    "@babel/preset-env": "^7.23.8",
    "@types/express": "^4.17.21",
    "@types/express-session": "^1.17.10",
    "@types/jest": "^29.5.11",
    "@types/node": "^20.11.6",
    "@types/supertest": "^6.0.2",
    "@typescript-eslint/eslint-plugin": "^6.19.1",
    "@typescript-eslint/parser": "^6.19.1",
    "cross-env": "^7.0.3",
    "eslint": "^8.56.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-prettier": "^5.1.3",
    "husky": "^8.0.0",
    "jest": "^29.7.0",
    "jest-mock-extended": "^3.0.5",
    "nodemon": "^3.0.3",
    "prettier": "^3.2.4",
    "rimraf": "^5.0.5",
    "superagent": "^8.1.2",
    "supertest": "^6.3.4",
    "ts-jest": "^29.1.2",
    "ts-node": "^10.9.2",
    "ts-node-dev": "^2.0.0",
    "typescript": "^5.3.3",
    "winston": "^3.11.0",
    "zod": "^3.22.4"
  },
  "dependencies": {
    "body-parser": "^1.20.2",
    "ejs": "^3.1.9",
    "express": "^4.18.2",
    "express-session": "^1.18.0",
    "memorystore": "^1.6.7",
    "mysql2": "^3.8.0",
    "pug": "^3.0.2",
    "reflect-metadata": "^0.2.1",
    "typeorm": "^0.3.20"
  },
  "babel": {
    "presets": [
      "@babel/preset-env"
    ]
  }
}
